KDE SC 4.5?

Compiz, KDE, Gnome, Fluxbox, etc...

Moderator: Moderators

Post Reply
OOPMan
Simple Hen
Posts: 41
Joined: Tue Jun 22, 2010 12:31

KDE SC 4.5?

Post by OOPMan » Thu Aug 12, 2010 14:10

Any idea when we'll be getting this?

I hear there are some delays on the Gentoo side due to instability in kdepim-4.5 but I've also read that this can be circumvented by just using kdepim-4.4.x in place...

joost
Sagely Hen
Posts: 2810
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: KDE SC 4.5?

Post by joost » Thu Aug 12, 2010 15:32

When upstream Gentoo thinks it is good enough to have in portage we will most likely follow.
My blog | Mastodon | Please support Sabayon: Become a Patron

OOPMan
Simple Hen
Posts: 41
Joined: Tue Jun 22, 2010 12:31

Re: KDE SC 4.5?

Post by OOPMan » Thu Aug 12, 2010 15:50

Cool. I guess I'll just keep my fingers crossed and hope they're happy soon :-)

Fitzcarraldo
Sagely Hen
Posts: 8218
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom
Contact:

Re: KDE SC 4.5?

Post by Fitzcarraldo » Sat Aug 14, 2010 16:00

KDE 4.5.0 is not going to be added to the main Portage tree:

http://blog.tampakrap.gr/kde-4-5-0-in-gentoo/

Gentoo KDE Guide

You can get it from the Gentoo KDE overlay, though.
Gentoo KDE Guide wrote:Note: KDE 4.5.0, the newest KDE release, will not be included in the portage tree, because it lacks the KDEPIM suite. Thus, it will remain in the kde overlay hardmasked. It can be installed with KDEPIM 4.4.5 though, if the user adjusts the keyword files accordingly. The first KDE 4.5.X version that will include the KDEPIM suite will be added to portage as well.

ermin
Baby Hen
Posts: 6
Joined: Mon Jul 19, 2010 17:09

Re: KDE SC 4.5?

Post by ermin » Sat Aug 14, 2010 18:44

Does someone know how to install it, without upsetting entropy too much?

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: KDE SC 4.5?

Post by wolfden » Sat Aug 14, 2010 19:00

ermin wrote:Does someone know how to install it, without upsetting entropy too much?
That would not be a good idea and not supported. Did you read the blog post and understand it?

ermin
Baby Hen
Posts: 6
Joined: Mon Jul 19, 2010 17:09

Re: KDE SC 4.5?

Post by ermin » Sun Aug 15, 2010 5:34

wolfden wrote:
ermin wrote:Does someone know how to install it, without upsetting entropy too much?
That would not be a good idea and not supported. Did you read the blog post and understand it?
No. What blog post do you mean?

I read the Wiki-Article about mixing entropy and portage. Using it I had success with packages not found in the official repos and even managed to install an older version of skype. No problems so far.
Therefor I hoped it could be possible...

User avatar
DanySK
Technological Hen
Posts: 354
Joined: Tue May 22, 2007 10:18
Location: Pennabilli - Cesena

Re: KDE SC 4.5?

Post by DanySK » Sun Aug 15, 2010 6:35

The Gentoo blog one. A few pieces of KDE SC are stuck to 4.4.x branch. Updates will most likely cause a lot of troubles, an as a consequence it is wise to wait for the first 4.5.x release which will integrate also PIM.

ermin
Baby Hen
Posts: 6
Joined: Mon Jul 19, 2010 17:09

Re: KDE SC 4.5?

Post by ermin » Sun Aug 15, 2010 6:56

KDEPIM is Korganizer, KMail, Kontact and so on, isn't it? Never used that stuff. Can't I just somehow omit it? Would that solve anything?

Stupot
Sagely Hen
Posts: 1799
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: KDE SC 4.5?

Post by Stupot » Sun Aug 15, 2010 7:52

The point that is being made is that KDE 4.5.0 isn't being supported by Sabayon or Gentoo. You are always free to go out and try to do anything you want with your linux distro, but installing 4.5.0 isn't supported and you will have a hard time finding help.

What is so important in the KDE 4.5 release that makes you want it right away? I read through the release announcements and saw nothing worth migrating to before it was really ready.

If you wish to continue in your pursuit, I suggest looking at the kde overlay for portage. Once again though, if things go wrong, you'll be on your own.

Post Reply